
Foreman - Bug #14771

Changing host group causing OSes for wrong architecture to show up

04/21/2016 04:49 PM - Partha Aji

Status: Closed   

Priority: Normal   

Assignee: Ondřej Pražák   

Category: Host creation   

Target version: 1.13.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/3612

  

Description

1) Create 2 Hostgroups with the following arches

Hg386 => arch => i386

Hg86_64 => arch => x86_64

2) Select -> New Hosts

3) Select -> Hostgroup => Hg386

4) Select -> Operating system and notice arch i386

5) Update the hostgroup and Select -> Hostgroup => Hg86_64

6) Select -> Operating system, notice arch points to i386 But the OS'es listed are x86_64

Related issues:

Related to Salt - Bug #17202: Tests failing again against foreman core Closed 11/03/2016

Associated revisions

Revision d301d11d - 08/26/2016 10:39 AM - Ondřej Pražák

Fixes #14771 - Show corresponding os list for arch

History

#1 - 04/21/2016 04:52 PM - Partha Aji

- Project changed from Katello to Foreman

Expected:

Either arch should show => x86_64 OR OS'es should belong to i386

Actual:

Arch is set to i386, but OS'es shown there belong to x86_64

#2 - 04/22/2016 03:13 AM - Dominic Cleal

- Subject changed from Applying new host groups causing wrong OSes to show up to Changing host group causing OSes for wrong architecture to

show up

- Category set to Host creation

#3 - 06/24/2016 07:58 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Ondřej Pražák

- Pull request https://github.com/theforeman/foreman/pull/3612 added

#4 - 07/25/2016 02:41 AM - The Foreman Bot

- Target version set to 110
#5 - 07/25/2016 02:56 AM - Dominic Cleal

- Target version deleted (110)

#6 - 08/26/2016 11:02 AM - Ondřej Pražák

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset d301d11d8141d924f20c4b6136f1607f8052b154.

#7 - 08/30/2016 03:16 AM - Dominic Cleal

- translation missing: en.field_release set to 160

#8 - 11/03/2016 09:03 AM - Stephen Benjamin

- Related to Bug #17202: Tests failing again against foreman core added
